<!DOCTYPE html>
<html><head>
<title>eric7.Preferences.ConfigurationPages.DebuggerGeneralPage</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Preferences.ConfigurationPages.DebuggerGeneralPage</h1>
<p>
Module implementing the Debugger General configuration page.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#DebuggerGeneralPage">DebuggerGeneralPage</a></td>
<td>Class implementing the Debugger General configuration page.</td>
</tr>
<tr>
<td><a href="#PreviewModel">PreviewModel</a></td>
<td>Class to show an example of the selected background colours for the debug viewer.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#create">create</a></td>
<td>Module function to create the configuration page.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="DebuggerGeneralPage" ID="DebuggerGeneralPage"></a>
<h2>DebuggerGeneralPage</h2>
<p>
    Class implementing the Debugger General configuration page.
</p>

<h3>Derived from</h3>
ConfigurationPageBase, Ui_DebuggerGeneralPage
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#DebuggerGeneralPage.__init__">DebuggerGeneralPage</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#DebuggerGeneralPage.on_addAllowedHostButton_clicked">on_addAllowedHostButton_clicked</a></td>
<td>Private slot called to add a new allowed host.</td>
</tr>
<tr>
<td><a href="#DebuggerGeneralPage.on_allowedHostsList_currentItemChanged">on_allowedHostsList_currentItemChanged</a></td>
<td>Private method to set the state of the edit and delete button.</td>
</tr>
<tr>
<td><a href="#DebuggerGeneralPage.on_deleteAllowedHostButton_clicked">on_deleteAllowedHostButton_clicked</a></td>
<td>Private slot called to delete an allowed host.</td>
</tr>
<tr>
<td><a href="#DebuggerGeneralPage.on_editAllowedHostButton_clicked">on_editAllowedHostButton_clicked</a></td>
<td>Private slot called to edit an allowed host.</td>
</tr>
<tr>
<td><a href="#DebuggerGeneralPage.on_interfaceSelectorComboBox_currentIndexChanged">on_interfaceSelectorComboBox_currentIndexChanged</a></td>
<td>Private slot to handle the selection of a network interface type.</td>
</tr>
<tr>
<td><a href="#DebuggerGeneralPage.save">save</a></td>
<td>Public slot to save the Debugger General (1) configuration.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="DebuggerGeneralPage.__init__" ID="DebuggerGeneralPage.__init__"></a>
<h4>DebuggerGeneralPage (Constructor)</h4>
<b>DebuggerGeneralPage</b>(<i></i>)
<p>
        Constructor
</p>

<a NAME="DebuggerGeneralPage.on_addAllowedHostButton_clicked" ID="DebuggerGeneralPage.on_addAllowedHostButton_clicked"></a>
<h4>DebuggerGeneralPage.on_addAllowedHostButton_clicked</h4>
<b>on_addAllowedHostButton_clicked</b>(<i></i>)
<p>
        Private slot called to add a new allowed host.
</p>

<a NAME="DebuggerGeneralPage.on_allowedHostsList_currentItemChanged" ID="DebuggerGeneralPage.on_allowedHostsList_currentItemChanged"></a>
<h4>DebuggerGeneralPage.on_allowedHostsList_currentItemChanged</h4>
<b>on_allowedHostsList_currentItemChanged</b>(<i>current, _previous</i>)
<p>
        Private method to set the state of the edit and delete button.
</p>

<dl>

<dt><i>current</i> (QListWidgetItem)</dt>
<dd>
new current item
</dd>
<dt><i>_previous</i> (QListWidgetItem)</dt>
<dd>
previous current item (unused)
</dd>
</dl>
<a NAME="DebuggerGeneralPage.on_deleteAllowedHostButton_clicked" ID="DebuggerGeneralPage.on_deleteAllowedHostButton_clicked"></a>
<h4>DebuggerGeneralPage.on_deleteAllowedHostButton_clicked</h4>
<b>on_deleteAllowedHostButton_clicked</b>(<i></i>)
<p>
        Private slot called to delete an allowed host.
</p>

<a NAME="DebuggerGeneralPage.on_editAllowedHostButton_clicked" ID="DebuggerGeneralPage.on_editAllowedHostButton_clicked"></a>
<h4>DebuggerGeneralPage.on_editAllowedHostButton_clicked</h4>
<b>on_editAllowedHostButton_clicked</b>(<i></i>)
<p>
        Private slot called to edit an allowed host.
</p>

<a NAME="DebuggerGeneralPage.on_interfaceSelectorComboBox_currentIndexChanged" ID="DebuggerGeneralPage.on_interfaceSelectorComboBox_currentIndexChanged"></a>
<h4>DebuggerGeneralPage.on_interfaceSelectorComboBox_currentIndexChanged</h4>
<b>on_interfaceSelectorComboBox_currentIndexChanged</b>(<i>index</i>)
<p>
        Private slot to handle the selection of a network interface type.
</p>

<dl>

<dt><i>index</i> (int)</dt>
<dd>
index of the selected entry
</dd>
</dl>
<a NAME="DebuggerGeneralPage.save" ID="DebuggerGeneralPage.save"></a>
<h4>DebuggerGeneralPage.save</h4>
<b>save</b>(<i></i>)
<p>
        Public slot to save the Debugger General (1) configuration.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="PreviewModel" ID="PreviewModel"></a>
<h2>PreviewModel</h2>
<p>
    Class to show an example of the selected background colours for the debug
    viewer.
</p>

<h3>Derived from</h3>
QAbstractItemModel
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#PreviewModel.__init__">PreviewModel</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#PreviewModel.columnCount">columnCount</a></td>
<td>Public Qt slot to get the column count.</td>
</tr>
<tr>
<td><a href="#PreviewModel.data">data</a></td>
<td>Public Qt slot get the role data of item.</td>
</tr>
<tr>
<td><a href="#PreviewModel.flags">flags</a></td>
<td>Public Qt slot to get the item flags.</td>
</tr>
<tr>
<td><a href="#PreviewModel.index">index</a></td>
<td>Public Qt slot to get the index of item at row:column of parent.</td>
</tr>
<tr>
<td><a href="#PreviewModel.parent">parent</a></td>
<td>Public Qt slot to get the parent of the given child.</td>
</tr>
<tr>
<td><a href="#PreviewModel.rowCount">rowCount</a></td>
<td>Public Qt slot to get the row count.</td>
</tr>
<tr>
<td><a href="#PreviewModel.setColor">setColor</a></td>
<td>Public slot to update the background colour indexed by key.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="PreviewModel.__init__" ID="PreviewModel.__init__"></a>
<h4>PreviewModel (Constructor)</h4>
<b>PreviewModel</b>(<i></i>)
<p>
        Constructor
</p>

<a NAME="PreviewModel.columnCount" ID="PreviewModel.columnCount"></a>
<h4>PreviewModel.columnCount</h4>
<b>columnCount</b>(<i>parent=QModelIndex()</i>)
<p>
        Public Qt slot to get the column count.
</p>

<dl>

<dt><i>parent</i> (QModelIndex)</dt>
<dd>
the model parent (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
number of columns
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="PreviewModel.data" ID="PreviewModel.data"></a>
<h4>PreviewModel.data</h4>
<b>data</b>(<i>index, role=Qt.ItemDataRole.DisplayRole</i>)
<p>
        Public Qt slot get the role data of item.
</p>

<dl>

<dt><i>index</i> (QModelIndex)</dt>
<dd>
the model index
</dd>
<dt><i>role</i> (QtCore.Qt.ItemDataRole)</dt>
<dd>
the requested data role
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
role data of item
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str, QBrush or None
</dd>
</dl>
<a NAME="PreviewModel.flags" ID="PreviewModel.flags"></a>
<h4>PreviewModel.flags</h4>
<b>flags</b>(<i>_index</i>)
<p>
        Public Qt slot to get the item flags.
</p>

<dl>

<dt><i>_index</i> (QModelIndex)</dt>
<dd>
of item (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
item flags
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QtCore.Qt.ItemFlag
</dd>
</dl>
<a NAME="PreviewModel.index" ID="PreviewModel.index"></a>
<h4>PreviewModel.index</h4>
<b>index</b>(<i>row, column, parent=QModelIndex()</i>)
<p>
        Public Qt slot to get the index of item at row:column of parent.
</p>

<dl>

<dt><i>row</i> (int)</dt>
<dd>
number of rows
</dd>
<dt><i>column</i> (int)</dt>
<dd>
number of columns
</dd>
<dt><i>parent</i> (QModelIndex)</dt>
<dd>
the model parent
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
new model index for child
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QModelIndex
</dd>
</dl>
<a NAME="PreviewModel.parent" ID="PreviewModel.parent"></a>
<h4>PreviewModel.parent</h4>
<b>parent</b>(<i>_child</i>)
<p>
        Public Qt slot to get the parent of the given child.
</p>

<dl>

<dt><i>_child</i> (QModelIndex)</dt>
<dd>
the model child node (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
new model index for parent
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QModelIndex
</dd>
</dl>
<a NAME="PreviewModel.rowCount" ID="PreviewModel.rowCount"></a>
<h4>PreviewModel.rowCount</h4>
<b>rowCount</b>(<i>parent=QModelIndex()</i>)
<p>
        Public Qt slot to get the row count.
</p>

<dl>

<dt><i>parent</i> (QModelIndex)</dt>
<dd>
the model parent (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
number of rows
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<a NAME="PreviewModel.setColor" ID="PreviewModel.setColor"></a>
<h4>PreviewModel.setColor</h4>
<b>setColor</b>(<i>key, bgcolour</i>)
<p>
        Public slot to update the background colour indexed by key.
</p>

<dl>

<dt><i>key</i> (str)</dt>
<dd>
the name of background
</dd>
<dt><i>bgcolour</i> (QColor)</dt>
<dd>
the new background colour
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="create" ID="create"></a>
<h2>create</h2>
<b>create</b>(<i>_dlg</i>)
<p>
    Module function to create the configuration page.
</p>

<dl>

<dt><i>_dlg</i> (ConfigurationDialog)</dt>
<dd>
reference to the configuration dialog (unused)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
reference to the instantiated page
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
ConfigurationPageBase
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
